[arch-commits] Commit in git/repos (7 files)

Christian Hesse eworm at archlinux.org
Thu Jun 21 18:45:07 UTC 2018


    Date: Thursday, June 21, 2018 @ 18:45:06
  Author: eworm
Revision: 327410

archrelease: copy trunk to testing-x86_64

Added:
  git/repos/testing-x86_64/
  git/repos/testing-x86_64/0001-perl-fix-installing-modules-from-contrib.patch
    (from rev 327409, git/trunk/0001-perl-fix-installing-modules-from-contrib.patch)
  git/repos/testing-x86_64/PKGBUILD
    (from rev 327409, git/trunk/PKGBUILD)
  git/repos/testing-x86_64/git-daemon.socket
    (from rev 327409, git/trunk/git-daemon.socket)
  git/repos/testing-x86_64/git-daemon at .service
    (from rev 327409, git/trunk/git-daemon at .service)
  git/repos/testing-x86_64/git-sysusers.conf
    (from rev 327409, git/trunk/git-sysusers.conf)
  git/repos/testing-x86_64/git.install
    (from rev 327409, git/trunk/git.install)

-----------------------------------------------------+
 0001-perl-fix-installing-modules-from-contrib.patch |   48 ++++++
 PKGBUILD                                            |  138 ++++++++++++++++++
 git-daemon.socket                                   |    9 +
 git-daemon at .service                                 |   14 +
 git-sysusers.conf                                   |    1 
 git.install                                         |   14 +
 6 files changed, 224 insertions(+)

Copied: git/repos/testing-x86_64/0001-perl-fix-installing-modules-from-contrib.patch (from rev 327409, git/trunk/0001-perl-fix-installing-modules-from-contrib.patch)
===================================================================
--- testing-x86_64/0001-perl-fix-installing-modules-from-contrib.patch	                        (rev 0)
+++ testing-x86_64/0001-perl-fix-installing-modules-from-contrib.patch	2018-06-21 18:45:06 UTC (rev 327410)
@@ -0,0 +1,48 @@
+From cfb3a47cada99d1bdccd08426f122ded2a63834e Mon Sep 17 00:00:00 2001
+From: Christian Hesse <mail at eworm.de>
+Date: Tue, 10 Apr 2018 15:36:41 +0200
+Subject: perl: fix installing modules from contrib
+
+Commit 20d2a30f (Makefile: replace perl/Makefile.PL with simple make rules)
+removed a target that allowed Makefiles from contrib/ to get the correct
+install path. This introduces a new target for main Makefile and fixes
+installation for Mediawiki module.
+
+v2: Pass prefix as that can have influence as well, add single quotes
+    for _SQ variant.
+
+Signed-off-by: Christian Hesse <mail at eworm.de>
+---
+ Makefile                   | 2 ++
+ contrib/mw-to-git/Makefile | 5 +++--
+ 2 files changed, 5 insertions(+), 2 deletions(-)
+
+diff --git a/Makefile b/Makefile
+index 2091f5f892..75b9ad3b48 100644
+--- a/Makefile
++++ b/Makefile
+@@ -1973,6 +1973,8 @@ GIT-PERL-DEFINES: FORCE
+ 		echo "$$FLAGS" >$@; \
+ 	    fi
+ 
++perllibdir:
++	@echo '$(perllibdir_SQ)'
+ 
+ .PHONY: gitweb
+ gitweb:
+diff --git a/contrib/mw-to-git/Makefile b/contrib/mw-to-git/Makefile
+index a4b6f7a2cd..4e603512a3 100644
+--- a/contrib/mw-to-git/Makefile
++++ b/contrib/mw-to-git/Makefile
+@@ -21,8 +21,9 @@ HERE=contrib/mw-to-git/
+ INSTALL = install
+ 
+ SCRIPT_PERL_FULL=$(patsubst %,$(HERE)/%,$(SCRIPT_PERL))
+-INSTLIBDIR=$(shell $(MAKE) -C $(GIT_ROOT_DIR)/perl \
+-                -s --no-print-directory instlibdir)
++INSTLIBDIR=$(shell $(MAKE) -C $(GIT_ROOT_DIR)/ \
++                -s --no-print-directory prefix=$(prefix) \
++                perllibdir=$(perllibdir) perllibdir)
+ DESTDIR_SQ = $(subst ','\'',$(DESTDIR))
+ INSTLIBDIR_SQ = $(subst ','\'',$(INSTLIBDIR))
+ 

Copied: git/repos/testing-x86_64/PKGBUILD (from rev 327409, git/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2018-06-21 18:45:06 UTC (rev 327410)
@@ -0,0 +1,138 @@
+# $Id$
+# Maintainer: Christian Hesse <mail at eworm.de>
+# Maintainer: Dan McGee <dan at archlinux.org>
+
+pkgname=git
+pkgver=2.18.0
+pkgrel=1
+pkgdesc='the fast distributed version control system'
+arch=(x86_64)
+url='https://git-scm.com/'
+license=('GPL2')
+depends=('curl' 'expat>=2.0' 'perl>=5.14.0' 'perl-error' 'perl-mailtools'
+         'openssl' 'pcre2' 'grep' 'shadow')
+makedepends=('python2' 'libgnome-keyring' 'xmlto' 'asciidoc')
+optdepends=('tk: gitk and git gui'
+            'perl-libwww: git svn'
+            'perl-term-readkey: git svn'
+            'perl-mime-tools: git send-email'
+            'perl-net-smtp-ssl: git send-email TLS support'
+            'perl-authen-sasl: git send-email TLS support'
+            'perl-mediawiki-api: git mediawiki support'
+            'perl-datetime-format-iso8601: git mediawiki support'
+            'perl-lwp-protocol-https: git mediawiki https support'
+            'perl-cgi: gitweb (web interface) support'
+            'python2: various helper scripts'
+            'subversion: git svn'
+            'gnome-keyring: GNOME keyring credential helper')
+install=git.install
+validpgpkeys=('96E07AF25771955980DAD10020D04E5A713660A7') # Junio C Hamano
+source=("https://www.kernel.org/pub/software/scm/git/git-$pkgver.tar."{xz,sign}
+        'git-daemon at .service'
+        'git-daemon.socket'
+        'git-sysusers.conf')
+sha256sums=('8b40be383a603147ae29337136c00d1c634bdfdc169a30924a024596a7e30e92'
+            'SKIP'
+            '14c0b67cfe116b430645c19d8c4759419657e6809dfa28f438c33a005245ad91'
+            'ac4c90d62c44926e6d30d18d97767efc901076d4e0283ed812a349aece72f203'
+            '7630e8245526ad80f703fac9900a1328588c503ce32b37b9f8811674fcda4a45')
+
+make_paths=(
+  prefix='/usr'
+  gitexecdir='/usr/lib/git-core'
+  perllibdir="$(/usr/bin/perl -MConfig -wle 'print $Config{installvendorlib}')"
+)
+
+make_options=(
+  CFLAGS="$CFLAGS"
+  LDFLAGS="$LDFLAGS"
+  USE_LIBPCRE2=1
+  NO_CROSS_DIRECTORY_HARDLINKS=1
+  NO_PERL_CPAN_FALLBACKS=1
+  MAN_BOLD_LITERAL=1
+)
+
+build() {
+  export PYTHON_PATH='/usr/bin/python2'
+  cd "$srcdir/$pkgname-$pkgver"
+
+  make \
+    "${make_paths[@]}" \
+    "${make_options[@]}" \
+    all doc
+
+  make -C contrib/credential/gnome-keyring
+  make -C contrib/credential/libsecret
+  make -C contrib/subtree "${make_paths[@]}" all doc
+  make -C contrib/mw-to-git "${make_paths[@]}" all
+  make -C contrib/diff-highlight "${make_paths[@]}"
+}
+
+check() {
+  export PYTHON_PATH='/usr/bin/python2'
+  cd "$srcdir/$pkgname-$pkgver"
+
+  local jobs
+  jobs=$(expr "$MAKEFLAGS" : '.*\(-j[0-9]*\).*') || true
+  mkdir -p /dev/shm/git-test
+  # explicitly specify SHELL to avoid a test failure in t/t9903-bash-prompt.sh
+  # which is caused by 'git rebase' trying to use builduser's SHELL inside the
+  # build chroot (i.e.: /usr/bin/nologin)
+  SHELL=/bin/sh \
+  make \
+    "${make_paths[@]}" \
+    "${make_options[@]}" \
+    NO_SVN_TESTS=y \
+    DEFAULT_TEST_TARGET=prove \
+    GIT_PROVE_OPTS="$jobs -Q" \
+    GIT_TEST_OPTS="--root=/dev/shm/git-test" \
+    test
+}
+
+package() {
+  export PYTHON_PATH='/usr/bin/python2'
+  cd "$srcdir/$pkgname-$pkgver"
+  
+  make \
+    "${make_paths[@]}" \
+    "${make_options[@]}" \
+    DESTDIR="$pkgdir" \
+    install install-doc
+
+  # bash completion
+  mkdir -p "$pkgdir"/usr/share/bash-completion/completions/
+  install -m 0644 ./contrib/completion/git-completion.bash "$pkgdir"/usr/share/bash-completion/completions/git
+  # fancy git prompt
+  mkdir -p "$pkgdir"/usr/share/git/
+  install -m 0644 ./contrib/completion/git-prompt.sh "$pkgdir"/usr/share/git/git-prompt.sh
+  # gnome credentials helper
+  install -m 0755 contrib/credential/gnome-keyring/git-credential-gnome-keyring \
+      "$pkgdir"/usr/lib/git-core/git-credential-gnome-keyring
+  make -C contrib/credential/gnome-keyring clean
+  # libsecret credentials helper
+  install -m 0755 contrib/credential/libsecret/git-credential-libsecret \
+      "$pkgdir"/usr/lib/git-core/git-credential-libsecret
+  make -C contrib/credential/libsecret clean
+  # subtree installation
+  make -C contrib/subtree "${make_paths[@]}" DESTDIR="$pkgdir" install install-doc
+  # mediawiki installation
+  make -C contrib/mw-to-git "${make_paths[@]}" DESTDIR="$pkgdir" install
+  # the rest of the contrib stuff
+  find contrib/ -name '.gitignore' -delete
+  cp -a ./contrib/* $pkgdir/usr/share/git/
+
+  # scripts are for python 2.x
+  sed -i 's|#![ ]*/usr/bin/env python$|#!/usr/bin/env python2|' \
+    $(find "$pkgdir" -name '*.py') \
+    "$pkgdir"/usr/share/git/remote-helpers/git-remote-bzr \
+    "$pkgdir"/usr/share/git/remote-helpers/git-remote-hg
+  sed -i 's|#![ ]*/usr/bin/python$|#!/usr/bin/python2|' \
+    "$pkgdir"/usr/share/git/svn-fe/svnrdump_sim.py
+
+  # git-daemon via systemd socket activation
+  install -D -m 0644 "$srcdir"/git-daemon at .service "$pkgdir"/usr/lib/systemd/system/git-daemon at .service
+  install -D -m 0644 "$srcdir"/git-daemon.socket "$pkgdir"/usr/lib/systemd/system/git-daemon.socket
+
+  # sysusers file
+  install -D -m 0644 "$srcdir"/git-sysusers.conf "$pkgdir"/usr/lib/sysusers.d/git.conf
+}

Copied: git/repos/testing-x86_64/git-daemon.socket (from rev 327409, git/trunk/git-daemon.socket)
===================================================================
--- testing-x86_64/git-daemon.socket	                        (rev 0)
+++ testing-x86_64/git-daemon.socket	2018-06-21 18:45:06 UTC (rev 327410)
@@ -0,0 +1,9 @@
+[Unit]
+Description=Git Daemon Socket
+
+[Socket]
+ListenStream=9418
+Accept=true
+
+[Install]
+WantedBy=sockets.target

Copied: git/repos/testing-x86_64/git-daemon at .service (from rev 327409, git/trunk/git-daemon at .service)
===================================================================
--- testing-x86_64/git-daemon at .service	                        (rev 0)
+++ testing-x86_64/git-daemon at .service	2018-06-21 18:45:06 UTC (rev 327410)
@@ -0,0 +1,14 @@
+[Unit]
+Description=Git Daemon Instance
+
+[Service]
+User=git
+# The '-' is to ignore non-zero exit statuses
+ExecStart=-/usr/lib/git-core/git-daemon --inetd --export-all --base-path=/srv/git
+StandardInput=socket
+StandardOutput=inherit
+StandardError=journal
+ProtectSystem=full
+ProtectHome=on
+PrivateDevices=on
+NoNewPrivileges=on

Copied: git/repos/testing-x86_64/git-sysusers.conf (from rev 327409, git/trunk/git-sysusers.conf)
===================================================================
--- testing-x86_64/git-sysusers.conf	                        (rev 0)
+++ testing-x86_64/git-sysusers.conf	2018-06-21 18:45:06 UTC (rev 327410)
@@ -0,0 +1 @@
+u git - "git daemon user" / /usr/bin/git-shell

Copied: git/repos/testing-x86_64/git.install (from rev 327409, git/trunk/git.install)
===================================================================
--- testing-x86_64/git.install	                        (rev 0)
+++ testing-x86_64/git.install	2018-06-21 18:45:06 UTC (rev 327410)
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+post_install() {
+  # make git-shell a valid shell
+  if ! grep -qe '^/usr/bin/git-shell$' etc/shells; then
+    echo '/usr/bin/git-shell' >> etc/shells
+  fi
+}
+
+# do not modify user settings (shell) in post-upgrade function!
+
+post_remove() {
+  sed -i -r '/^\/usr\/bin\/git-shell$/d' etc/shells
+}



More information about the arch-commits mailing list